# module RSS::Maker::ImageFaviconModel

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/maker/image.rb, line 53
    def self.append_features(klass)
      super

      name = "#{RSS::IMAGE_PREFIX}_favicon"
      klass.def_classed_element(name)
    end

install_image_favicon(klass) click to toggle source

    # File lib/rss/maker/image.rb, line 60
          def self.install_image_favicon(klass)
            klass.module_eval(<<-EOC, __FILE__, __LINE__ + 1)
              class ImageFavicon < ImageFaviconBase
                DublinCoreModel.install_dublin_core(self)
              end
            EOC
          end